# External: Object

## montage/core/shim/object~ Object

Source:
  - core/shim/object.js, line 7

### Members

#### uuid

Contains an object's unique ID.

Default Value:
  - null
Source:
  - core/uuid.js, line 159

### Methods

#### (static) create(prototype, descriptor)

Creates a new object that inherits prototypically directly from a given prototype, optionally defining some properties.

##### Parameters:

Name | Type | Description
--- | --- | ---
`prototype` | Object | the prototype to inherit, or `null` for no prototype, which makes "__proto__" the only special property name.
`descriptor` | Object | a property descriptor

Source:
  - core/shim/object.js, line 11

##### Returns:

a new object inheriting from the given prototype and having the given property descriptor.

#### (static) getPropertyDescriptor(anObject, propertyName) → {Object}

Returns the descriptor object for an object's property.

##### Parameters:

Name | Type | Description
--- | --- | ---
`anObject` | Object | The object containing the property.
`propertyName` | string | The name of the property.

Source:
  - core/extras/object.js, line 7

##### Returns:

The object's property descriptor.

Type
  Object

#### clear()

Removes all properties owned by this object making the object suitable for reuse.

Source:
  - core/extras/object.js, line 59

##### Returns:

this